Subject: Re: [GSoC] [PATCH v4 4/8] dir: libify and export helper functions from clone.c

From: Atharva Raykar <[email-masked]>
Date: Wed, 11 Aug 2021 15:55:41 +0530

Kaartic Sivaraam <[email-masked]> writes:

> On 09/08/21 1:32 pm, Atharva Raykar wrote:
>> Kaartic Sivaraam <[email-masked]> writes:
>>
>>> On 07/08/21 12:46 pm, Atharva Raykar wrote:
>>>>> [ ... ]
>> Yikes! I meant 'host.xz:foo/.git'. That should give us 'foo'. Thanks for
>> the correction.
>>
>
> Interesting. I've usually seen host.xz:foo like syntax in HTTP URLs. For instance,
>
>     http://host.xz:4000/bar.baz.git
>
> `git_url_basename` returns `bar.baz` for the above.
>
> I wonder what real-world URL has a syntax like 'host.xz:foo/.git' for which
> 'foo' would be an appropriate basename to return. Does a real-world URL of
> this form exist? Or is this just cooked up to demonstrate the basename that
> would be returned for a hypothetical URL like this?

Junio already answered all of your questions, I'll just add that I
lifted that example from the git-clone documentation [1] that uses the
exact same basename extraction function.

[1] https://git-scm.com/docs/git-clone#Documentation/git-clone.txt-ltdirectorygt